Skip to navigation

Create Multiple Metafields

Create multiple metafields.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects a list of objects.
permission_setenumRequired

Determines the visibility and writeability of the field by other API consumers.

ValueDescription
app_onlyPrivate to the app that owns the field.
readVisible to other API consumers.
writeOpen for reading and writing by other API consumers.
read_and_sf_accessVisible to other API consumers, including on the storefront.
write_and_sf_accessOpen for reading and writing by other API consumers, including on the storefront.
Allowed values:
namespacestringRequired1-64 characters
Namespace for the metafield, for organizational purposes.
keystringRequired1-64 characters

The name of the field, for example: location_id, color.

valuestringRequired1-65535 characters

The value of the field, for example: 1, blue.

resource_idintegerRequired
The ID of the location with which the metafield is associated.
descriptionstringOptional0-255 characters
Description for the metafields.

Response

List of created Metafield objects. # TODO

datalist of objectsOptional
errorslist of anyOptional
Empty for 200 responses.
metaobjectOptional
Batch outcome counts for the write request.

Errors

400
Bad Request Error
422
Unprocessable Entity Error